function probability = FindPixelProbability(pixel, numDimensions, maxPixel)
%Find the number of particles in each pixel

if(maxPixel == -1)
    maxPixel = max(pixel(:,numDimensions+1));
end

probability = zeros(1,max(pixel(:,numDimensions+1)));
for iPixel = 1:maxPixel
    probability(iPixel) = sum(pixel(:,numDimensions+1)==iPixel);
end